Loading...
Searching...
No Matches
URI Support
Libcoap Internal API

Internal API for handling CoAP URIs. More...

Collaboration diagram for URI Support:

## Data Structures

struct | coap_uri_info_t

## Functions

void | coap_replace_percents (coap_optlist_t *optlist)
| replace any % hex definitions with the actual character.

## Variables

coap_uri_info_t | coap_uri_scheme [COAP_URI_SCHEME_LAST]

## Detailed Description

Internal API for handling CoAP URIs.

## Function Documentation

## coap_replace_percents()

void coap_replace_percents | ( | coap_optlist_t * | optlist | ) |

replace any % hex definitions with the actual character.

Parameters

  optlist | The optlist entry to modify if % hex definitions.

Definition at line 710 of file coap_uri.c.

Here is the caller graph for this function:

## Variable Documentation

## coap_uri_scheme

coap_uri_info_t coap_uri_scheme[COAP_URI_SCHEME_LAST]

extern

Definition at line 51 of file coap_uri.c.